import request from '@/utils/request'

// 查询无害化处理列表
export function listHarmlessTreatment(query) {
  return request({
    url: '/app/harmlessTreatment/list',
    method: 'get',
    params: query
  })
}

// 查询无害化处理详细
export function getHarmlessTreatment(id) {
  return request({
    url: '/app/harmlessTreatment/' + id,
    method: 'get'
  })
}

// 新增无害化处理
export function addHarmlessTreatment(data) {
  return request({
    url: '/app/harmlessTreatment',
    method: 'post',
    data: data
  })
}

// 修改无害化处理
export function updateHarmlessTreatment(data) {
  return request({
    url: '/app/harmlessTreatment',
    method: 'put',
    data: data
  })
}

// 删除无害化处理
export function delHarmlessTreatment(id) {
  return request({
    url: '/app/harmlessTreatment/' + id,
    method: 'delete'
  })
}
